cURL
curl --request POST \ --url https://api.aisa.one/v1/models/{model}:generateContent \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "contents": [ { "parts": [ { "text": "<string>" } ], "role": "system" } ], "tools": [ {} ], "toolConfig": {}, "safetySettings": [ {} ], "systemInstruction": { "parts": [ { "text": "<string>" } ], "role": "system" }, "generationConfig": {}, "cachedContent": "<string>" } '
{ "candidates": [ { "parts": [ { "text": "<string>" } ], "role": "system" } ] }
Generate content using the specified Gemini model
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The name of the model to use, format: models/{model}
Content of the conversation, required
Show child attributes
Optional tools the model can use
Optional tool configuration
Optional cached content ID
Successful content generation